const isEmpty = function(obj) {
	if (obj == null) return true;
	if (typeof obj !== 'object') return false;
	return JSON.stringify(obj) === '{}';
};
const status = function(value) {
	var status = '排队中...'
	switch (value) {
		case 'NONE':
			status = '排队中...'
			break
		case 'GENERATING':
			status = '生成中...'
			break
		case 'SUCCESS':
			status = '生成成功'
			break
		case 'FAILED':
			status = '生成失败'
			break
	}
	return status
};
const orderStatus = function(value) {
	var statusStr = '已完成'
	switch (value) {
		case 'PENDING':
			statusStr = '等待'
			break
		case 'COMPLETE':
			statusStr = '已完成'
			break
		case 'FULL_REFUND':
			statusStr = '全额退款'
			break
		case 'CORRECTION1_REFUND':
			statusStr = '补正1次退款'
			break
		case 'CORRECTION2_REFUND':
			statusStr = '补正2次退款'
			break
	}
	return statusStr
};
const proType = function(value) {
	// PROJ:项目、AGENT:代理、FULL_REFUND:全额退款、CORRECTION1_REFUND:补正1次退款、CORRECTION2_REFUND:补正2次退款
	var str = '项目创建'
	switch (value) {
		case 'PROJ':
			str = '项目创建'
			break
		case 'AGENT':
			str = '代理'
			break
		case 'FULL_REFUND':
			str = "全额退款"
			break
		case 'CORRECTION1_REFUND':
			str = '补正1次退款'
			break
		case 'CORRECTION2_REFUND':
			str = '补正2次退款'
			break
	}
	return str

}
const boderStyle = function(value) {
	var str = 'tickets-yellow' // tickets-gray  tickets-green
	switch (value) {
		case '1': //可用
			str = 'tickets-yellow'
			break
		case '2': //已经使用
			str = 'tickets-gray'
			break
		case '3': //不可用
			str = 'tickets-green'
			break
	}
	return str
}
const fontColor = function(value) {
	var str = 'font-yellow' // tickets-gray  tickets-green
	switch (value) {
		case '1': //可用
			str = 'font-yellow'
			break
		case '2': //已经使用
			str = 'font-gray'
			break
		case '3': //不可用
			str = 'font-green'
			break
	}
	return str
}
const timeSplit = function(value) {
	var regex = new RegExp('-', 'g');
	return value.replace(regex, '.');
}
export {
	isEmpty,
	status,
	orderStatus,
	proType,
	boderStyle,
	fontColor,
	timeSplit
}